Error
A valid request URL is required to generate request examples{
"success": true,
"deployments": [
{
"_id": "<string>",
"releaseId": "<string>",
"environment": "dev",
"status": "building",
"previousDeploymentId": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List deployments
GET
/
api
/
cicd
/
v1
/
projects
/
{projectId}
/
deployments
Error
A valid request URL is required to generate request examples{
"success": true,
"deployments": [
{
"_id": "<string>",
"releaseId": "<string>",
"environment": "dev",
"status": "building",
"previousDeploymentId": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}List deployments for the project.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
UUID v7; must be in the key/token's projectIds.
Query Parameters
Available options:
dev, staging, production Required range:
x >= 1Required range:
x >= 0Was this page helpful?